%define svn r81625
%define rel 5
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

Summary:	Music player written using Enlightenment Foundation Libraries
Name:		enjoy
Version:	0.1.0
Release:	%release
License:	LGPLv3+
Group:		Graphical desktop/Enlightenment
URL:		http://trac.enlightenment.org/e/wiki/Enjoy
%if %svn
Source:		%name-%svn.tar.xz
%else
Source:		http://download.enlightenment.org/snapshots/LATEST/%{name}-%{version}.tar.bz2
%endif
Patch0:		enjoy-automake-1.13.patch
BuildRequires:	ecore-devel
BuildRequires:	e_dbus-devel
BuildRequires:	edbus-devel
BuildRequires:	eina-devel 
BuildRequires:	evas-devel 
BuildRequires:	edje-devel
BuildRequires:	elementary-devel
BuildRequires:	emotion-devel
BuildRequires:	efreet-devel
BuildRequires:	gettext-devel
BuildRequires:	lightmediascanner
BuildRequires:	edje
BuildRequires:	embryo
BuildRequires:	libsqlite3-devel
BuildRequires:	elementary
BuildRequires:	eweather eweather-devel

%description
Enjoy is a music player written using Enlightenment Foundation Libraries (EFL) 
with focus on speed and mobile usability, yet should be usable on desktops as 
well. 

Enjoy is modeled around a media database constructed by LightMediaScanner, 
it is not meant to play single files from disk, instead it will recursively 
index directories for music files and then list them by artist, album, genre 
and so on. Playlists are also supported, as well as random or filter playlists 
can be dynamically generated.

%prep
%if %svn
%setup -qn %name
%else
%setup -q -n %name-%version
%endif
%patch0 -p1 -b .automake113

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x --disable-static
%make

%install
%makeinstall_std

find %buildroot -name *.la | xargs rm

%files
%doc AUTHORS COPYING README TODO
%{_bindir}/*
%{_libdir}/%{name}/mpris.so
%{_libdir}/%{name}/albumart-lastfm.so
%{_libdir}/%{name}_ql.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/default.edj
%{_datadir}/icons/%{name}.png


%changelog

* Tue May 07 2013 trem <trem> 0.1.0-0.r81625.5.mga3
+ Revision: 412581
- increase release to rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.1.0-0.r81625.4.mga3
+ Revision: 349690
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 sander85 <sander85> 0.1.0-0.r81625.3.mga3
+ Revision: 344335
- Fix build with automake 1.13

* Sat Dec 22 2012 trem <trem> 0.1.0-0.r81625.2.mga3
+ Revision: 334037
- update to release 81625

* Sat Dec 15 2012 trem <trem> 0.1.0-0.r80969.2.mga3
+ Revision: 331129
- update to release 80969

* Sat Dec 08 2012 trem <trem> 0.1.0-0.r80477.2.mga3
+ Revision: 328269
- update to release 80477

* Sat Nov 24 2012 trem <trem> 0.1.0-0.r79568.2.mga3
+ Revision: 321553
- update to release 79568

* Sat Sep 22 2012 trem <trem> 0.1.0-0.r76819.2.mga3
+ Revision: 296655
- update to release 76819

* Sun Sep 16 2012 trem <trem> 0.1.0-0.r76435.2.mga3
+ Revision: 294548
- add buildrequire eweather eweather-devel
- update to release 76435
- update to release 75400

* Sun Aug 19 2012 trem <trem> 0.1.0-0.r75426.2.mga3
+ Revision: 282200
- update to r75426

* Sat Aug 18 2012 trem <trem> 0.1.0-0.r75421.2.mga3
+ Revision: 282057
-update to r75421
- bump release to rebuild

* Sun Mar 11 2012 trem <trem> 0.1.0-0.r69188.1.mga2
+ Revision: 222716
- update to release 69188

* Sat Mar 10 2012 trem <trem> 0.1.0-0.r69165.1.mga2
+ Revision: 222452
- update to release 69165

* Sun Mar 04 2012 trem <trem> 0.1.0-0.r68658.1.mga2
+ Revision: 218028
- update to release 68658

* Sat Mar 03 2012 trem <trem> 0.1.0-0.r68649.1.mga2
+ Revision: 217581
- update to release 68649

* Sun Feb 26 2012 trem <trem> 0.1.0-0.r68450.1.mga2
+ Revision: 215246
- update to release 68450

* Sat Feb 25 2012 trem <trem> 0.1.0-0.r68434.1.mga2
+ Revision: 214457
- update to release 68434

* Fri Feb 24 2012 trem <trem> 0.1.0-0.r68363.1.mga2
+ Revision: 214006
- update to release 68363

* Wed Feb 22 2012 trem <trem> 0.1.0-0.r68228.1.mga2
+ Revision: 212109
- update to release 68228

* Sun Feb 19 2012 trem <trem> 0.1.0-0.r68120.1.mga2
+ Revision: 210825
- update to release 68120

* Sat Feb 18 2012 trem <trem> 0.1.0-0.r68102.1.mga2
+ Revision: 210273
- update to release 68102

* Sat Feb 11 2012 trem <trem> 0.1.0-0.r67851.1.mga2
+ Revision: 207576
- update to release 67851

* Sat Feb 11 2012 trem <trem> 0.1.0-0.r67846.1.mga2
+ Revision: 207289
- update to release 67846

* Fri Feb 10 2012 trem <trem> 0.1.0-0.r67830.1.mga2
+ Revision: 206998
- update to release 67830

* Thu Feb 09 2012 trem <trem> 0.1.0-0.r67715.1.mga2
+ Revision: 206705
- add ecore-devel e_dbus-devel eina-devel evas-devel edje-devel elementary as buildrequires
- add gettext-devel, lightmediascanner, edje, embryo and libsqlite3-devel as buildrequires
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680
- update to release 65867
- update to release 65688
- update to release 65613
- imported package enjoy

